Categories:
  - Science & Education
License: GPL-3.0-only
AuthorName: AnkiDroid Open Source Team
AuthorEmail: public-forum@ankidroid.org
WebSite: https://ankidroid.org/docs/help.html
SourceCode: https://github.com/ankidroid/Anki-Android
IssueTracker: https://github.com/ankidroid/Anki-Android/issues
Translation: http://crowdin.net/project/ankidroid
Changelog: https://ankidroid.org/docs/changelog.html

AutoName: AnkiDroid
Description: |-
    Anki is a program which makes remembering things easy. Because it is a lot more
    efficient than traditional study methods, you can either greatly decrease your
    time spent studying, or greatly increase the amount you learn. AnkiDroid is the
    Android port of Anki, and is compatible with Anki data.

    Synchronization uses the non-free AnkiWeb service by default, but this can be
    changed in the settings to use, for example, an instance of the unofficial
    [https://github.com/ankicommunity/anki-sync-server Anki Sync Server]).

RepoType: git
Repo: https://github.com/ankidroid/Anki-Android.git

Builds:
  - versionName: '0.7'
    versionCode: 21
    commit: v0.7

  - versionName: '1.0'
    versionCode: 23
    disable: Version with Bluetooth
    commit: unknown - see disabled

  - versionName: '1.1'
    versionCode: 25
    commit: v1.1
    forcevercode: true
    prebuild: sed -i -e "/key\.alias.*/d" -e "/key\.store.*/d" *.properties

  - versionName: '2.0'
    versionCode: 30
    commit: 4e4bafed59
    prebuild: sed -i -e "/key\.alias.*/d" -e "/key\.store.*/d" *.properties

  - versionName: '2.0'
    versionCode: 31
    disable: Different version code - same version?
    commit: unknown - see disabled

  - versionName: 2.0.1
    versionCode: 32
    commit: v2.0.1
    prebuild: sed -i -e "/^key\./d" *.properties

  - versionName: 2.0.2beta6
    versionCode: 37
    disable: beta version

  - versionName: 2.0.2beta8
    versionCode: 39
    disable: beta version

  - versionName: 2.0.2
    versionCode: 40
    commit: v2.0.2

  - versionName: 2.0.3
    versionCode: 43
    commit: v2.0.3

  - versionName: 2.0.4beta1
    versionCode: 20004201
    commit: v2.0.4beta1

  - versionName: 2.1alpha5
    versionCode: 20100105
    commit: v2.1alpha5

  - versionName: 2.1alpha6
    versionCode: 20100106
    commit: v2.1alpha6

  - versionName: 2.1alpha7
    versionCode: 20100107
    commit: v2.1alpha7

  - versionName: 2.1alpha11
    versionCode: 20100111
    commit: v2.1alpha11

  - versionName: 2.1alpha13
    versionCode: 20100113
    commit: v2.1alpha13

  - versionName: 2.1beta2
    versionCode: 20100202
    commit: v2.1beta2

  - versionName: 2.1beta3
    versionCode: 20100203
    commit: v2.1beta3

  - versionName: 2.1beta6
    versionCode: 20100206
    commit: v2.1beta6

  - versionName: 2.1beta7
    versionCode: 20100207
    commit: v2.1beta7

  - versionName: 2.1beta8
    versionCode: 20100208
    commit: v2.1beta8

  - versionName: 2.1beta9
    versionCode: 20100209
    commit: v2.1beta9

  - versionName: 2.1beta11
    versionCode: 20100211
    commit: v2.1beta11

  - versionName: 2.1beta13
    versionCode: 20100213
    commit: v2.1beta13

  - versionName: 2.1beta14
    versionCode: 20100214
    commit: v2.1beta14

  - versionName: 2.1beta15
    versionCode: 20100215
    commit: v2.1beta15

  - versionName: 2.1beta16
    versionCode: 20100216
    commit: v2.1beta16

  - versionName: 2.1.1
    versionCode: 20101300
    commit: v2.1.1

  - versionName: 2.1.2
    versionCode: 20102300
    commit: v2.1.2

  - versionName: 2.1.3
    versionCode: 20103300
    commit: v2.1.3

  - versionName: 2.2alpha1
    versionCode: 20200101
    commit: v2.2alpha1

  - versionName: 2.2alpha14
    versionCode: 20200114
    commit: v2.2alpha14

  - versionName: 2.2alpha17
    versionCode: 20200117
    commit: v2.2alpha17

  - versionName: '2.2'
    versionCode: 20200300
    commit: v2.2

  - versionName: 2.2.2
    versionCode: 20202300
    commit: v2.2.2

  - versionName: 2.2.3
    versionCode: 20203300
    commit: v2.2.3

  - versionName: '2.3'
    versionCode: 20300300
    commit: v2.3

  - versionName: 2.3.1
    versionCode: 20301302
    disable: broken
    commit: 2.3.1

  - versionName: 2.3.2
    versionCode: 20302300
    commit: 2.3.2

  - versionName: 2.4alpha1
    versionCode: 20400101
    disable: prerelease
    commit: v2.4alpha1

  - versionName: 2.4.2
    versionCode: 20402300
    commit: v2.4.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.4.3
    versionCode: 20403300
    commit: v2.4.3
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.4.4
    versionCode: 20404300
    disable: xml error
    commit: v2.4.4
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: '2.5'
    versionCode: 20500300
    commit: v2.5
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.5.1
    versionCode: 20501300
    commit: v2.5.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.5.2
    versionCode: 20502300
    commit: v2.5.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.5.4
    versionCode: 20504300
    disable: mis-tagged
    commit: v2.5.4
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.5.4
    versionCode: 20504301
    commit: 1926fcc7d86d85cbc068234bc565b9f607b8e45f
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: '2.6'
    versionCode: 20600300
    commit: v2.6
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.6.1
    versionCode: 20601300
    commit: v2.6.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: '2.7'
    versionCode: 20700300
    commit: v2.7
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: '2.8'
    versionCode: 20800300
    commit: v2.8
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.8.1
    versionCode: 20801300
    commit: v2.8.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.8.2
    versionCode: 20802300
    commit: v2.8.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.8.3
    versionCode: 20803300
    commit: v2.8.3
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.8.4
    versionCode: 20804300
    commit: v2.8.4
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: '2.9'
    versionCode: 20900300
    commit: v2.9
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

MaintainerNotes: Uses DexLoader to load custom decks and plugins (?).

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags ^v[0-9.]*$
CurrentVersion: '2.9'
CurrentVersionCode: 20900300
